/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                           */
/*                  This file is part of the program                         */
/*        SMV2LP -- Converting SMV to Integer Linear Programs                */
/*                                                                           */
/*    Copyright (C) 2002-2005 Tobias Achterberg                              */
/*                            Thorsten Koch                                  */
/*                            Robi Malik                                     */
/*                                                                           */
/*                  2002-2005 Konrad-Zuse-Zentrum                            */
/*                            fuer Informationstechnik Berlin                */
/*                                                                           */
/*  SMV2LP is distributed under the terms of the ZIB Academic License.       */
/*                                                                           */
/*  You should have received a copy of the ZIB Academic License              */
/*  along with SMV2LP; see the file COPYING.                                 */
/*                                                                           */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef __DEF_H__
#define __DEF_H__

typedef int Bool;

#ifndef LLONG_MAX
#define LLONG_MAX	9223372036854775807LL
#define LLONG_MIN	(-LLONG_MAX - 1LL)
#endif

#define Longint long long
#define LONGINT_MAX          LLONG_MAX
#define LONGINT_MIN          LLONG_MIN


#ifndef NULL
#define NULL 0
#endif

#ifndef TRUE
#define TRUE (0==0)
#define FALSE (0==1)
#endif

#ifndef SUCCESS
#define SUCCESS 0
#define FAILURE (-1)
#endif

#ifndef MAX
#define  MAX(x,y)      ((x) >= (y) ? (x) : (y))
#define  MIN(x,y)      ((x) <= (y) ? (x) : (y))
#endif


#endif
